Page MenuHomePhabricator

Set up a beta feature offering the use of PHP7
Closed, ResolvedPublic

Description

We're at the stage where most things should work on php7 (some pages/revision only work with php7, even), so we would like to offer it as a beta feature for the adventurous user.

Technically, we just need to set/unset the cookie PHP_ENGINE to the value "php7".

Event Timeline

Joe triaged this task as Normal priority.Jan 16 2019, 3:33 PM
Joe created this task.
Mainframe98 added a subscriber: Mainframe98.

Adding performance-team and core platform team per SoS recommendation to request for help.

Reedy added a subscriber: Reedy.Jan 16 2019, 5:08 PM

Do we want MW to tag edits etc like we did for HHVM?

Joe added a comment.Jan 16 2019, 5:10 PM

Do we want MW to tag edits etc like we did for HHVM?

I would think so, yes.

Happy to help with this still, per IRC. :-)

Change 484710 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaEvents@master] Add PHP7 beta feature

https://gerrit.wikimedia.org/r/484710

Reedy added a comment.Jan 16 2019, 5:27 PM

^ Most of it done by reverting Ori's patch to remove the HHVM beta feature and then updating to match

Change 484710 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Add PHP7 beta feature

https://gerrit.wikimedia.org/r/484710

Change 484798 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/extensions/WikimediaEvents@wmf/1.33.0-wmf.13] Add PHP7 beta feature

https://gerrit.wikimedia.org/r/484798

Ladsgroup added a subscriber: Ladsgroup.

This should probably go in Tech News, as the HHVM beta feature was too. It could repurpose from issue 39, 2014:

'''Recent software changes'''
* You can test a new [[Special:Preferences#mw-prefsection-betafeatures|Beta Feature]] called PHP7. It should make editing faster. Please [[phab:|report bugs]] if you see them.

All it would need is a link to a message on the mailing list, like done for HHVM: https://lists.wikimedia.org/pipermail/wikitech-ambassadors/2014-September/000948.html

Joe added a comment.Jan 17 2019, 9:39 AM

Very good point @Mainframe98 - in fact I was planning to write an email to wikitech-l once the beta feature is set up and I have the green light from everyone involved in the project before activating it.

Just one clarification - we're not moving to PHP 7.2 because it's faster, we're doing it as HHVM dropped support for PHP.

Please [[phab:|report bugs]] if you see them.

To notify Tech News, see Notice. Small nitpick: Please avoid linking to the generic Phab front page. :) [https://phabricator.wikimedia.org/maniphest/task/edit/form/1/?projects=projecttag1,projecttag2 foo] could be more helpful (full URL as ? breaks stuff when using [[internal|links]]).

Joe added a subscriber: Krinkle.Jan 17 2019, 9:54 AM

@Krinkle did mention he saw a couple fatal errors that looked worrisome, so I'd wait for him to comment before backporting the beta feature and announcing it.

Please [[phab:|report bugs]] if you see them.

[...] Small nitpick: Please avoid linking to the generic Phab front page. :) [https://phabricator.wikimedia.org/maniphest/task/edit/form/1/?projects=projecttag1,projecttag2 foo] could be more helpful (full URL as ? breaks stuff when using [[internal|links]]).

That's what the old entry did, except it linked directly to Bugzilla.

Is there any specific task/project Tech News should link to?

Joe added a comment.Jan 17 2019, 10:00 AM
Please [[phab:|report bugs]] if you see them.

[...] Small nitpick: Please avoid linking to the generic Phab front page. :) [https://phabricator.wikimedia.org/maniphest/task/edit/form/1/?projects=projecttag1,projecttag2 foo] could be more helpful (full URL as ? breaks stuff when using [[internal|links]]).

That's what the old entry did, except it linked directly to Bugzilla.
Is there any specific task/project Tech News should link to?

As indicated in https://www.mediawiki.org/wiki/Beta_Features/PHP7, you should use PHP 7.2 support probably

CDanis added a subscriber: CDanis.Jan 22 2019, 3:10 PM
Zppix added a subscriber: Zppix.Jan 22 2019, 3:13 PM

Is the end goal to switch support to php7 by default? If so, what is blocking that from being set as default at the moment?

Joe added a comment.Jan 22 2019, 3:18 PM

Is the end goal to switch support to php7 by default? If so, what is blocking that from being set as default at the moment?

Basically, what's still missing in T176370 and... testing! Which is what we're starting to do with a Beta Feature.

kchapman moved this task from Inbox to Radar on the Performance-Team board.Jan 22 2019, 9:23 PM
kchapman edited projects, added Performance-Team (Radar); removed Performance-Team.

Change 484798 abandoned by Jforrester:
Add PHP7 beta feature

Reason:
We're just going to go with wmf.14 rather than back-port.

https://gerrit.wikimedia.org/r/484798

Change 484799 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] Beta Features: Add the new PHP7 beta feature to the whitelist

https://gerrit.wikimedia.org/r/484799

Change 484799 merged by jenkins-bot:
[operations/mediawiki-config@master] Beta Features: Add the new PHP7 beta feature to the whitelist

https://gerrit.wikimedia.org/r/484799

Change 486278 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[mediawiki/extensions/WikimediaEvents@master] Inject (again) the variable wgPoweredByHHVM

https://gerrit.wikimedia.org/r/486278

Change 486305 had a related patch set uploaded (by Giuseppe Lavagetto; owner: Giuseppe Lavagetto):
[mediawiki/extensions/WikimediaEvents@wmf/1.33.0-wmf.14] Inject (again) the variable wgPoweredByHHVM

https://gerrit.wikimedia.org/r/486305

Change 486278 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Inject (again) the variable wgPoweredByHHVM

https://gerrit.wikimedia.org/r/486278

Change 486305 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@wmf/1.33.0-wmf.14] Inject (again) the variable wgPoweredByHHVM

https://gerrit.wikimedia.org/r/486305

Ricordisamoa added a subscriber: Ricordisamoa.

Change 530852 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/WikimediaEvents@master] Define php7 as active tag for use with RC filters

https://gerrit.wikimedia.org/r/530852

Change 530852 merged by jenkins-bot:
[mediawiki/extensions/WikimediaEvents@master] Define php7 as active tag for use with RC filters

https://gerrit.wikimedia.org/r/530852